<?php
defined('FOLDER_CALENDAR_PATH') or die('Hacking attempt!');

/**
 * new tab on album properties page
 */
function calendar_folder_tab($sheets, $id)
{
  if ($id == 'album')
  {
    global $category;

    if ($category['dir'] == null)
    {
      $sheets['calendartab'] = array(
        'caption' => 'CalendarFolder',
        'url' => FOLDER_CALENDAR_ADMIN.'-album&amp;cat_id='.$_GET['cat_id'],
        );
    }
  }

  return $sheets;
}

/**
 * admin plugins menu link
 */
function calendarfolder_admin_menu($menu)
{
  $menu[] = array(
    'NAME' => 'CalendarFolder',
    'URL' => FOLDER_CALENDAR_ADMIN,
    );
  return $menu;
}

/**
 * Add a link into categories list to regenerate associations
 */
function calendarfolder_cat_list()
{
  global $template, $page;

  if (!isset($smart_count))
  {
    $smart_count = 0;
  }

  $self_url = get_root_url().'admin.php?page=cat_list'.(isset($_GET['parent_id']) ? '&amp;parent_id='.$_GET['parent_id'] : null);

  /* get categories with smart filters */
  $query = '
SELECT DISTINCT id, name
  FROM '.CATEGORIES_TABLE.' AS c ;';
  
  if (!isset($_GET['parent_id']))
  {
    // $query.= '
    // WHERE id_uppercat IS NULL';
  }
  else
  {
    $query .= '
  WHERE uppercats LIKE \'%'.$_GET['parent_id'].'%\'';
  }
  $query .= '
;';

  $smart_cats = query2array($query, 'id');

  if (isset($_GET['smart_generate']))
  {
    /* regenerate photo list | all (sub) categories */
  //  if ($_GET['smart_generate'] == 'all')
  //  {
 //     foreach ($smart_cats as $category)
  //    {
  //      $associated_images = smart_make_associations($category['id']);
//
 //       $page['infos'][] = l10n(
 //         '%d photos associated to album %s',
 //         count($associated_images),
 //         '&laquo;'.trigger_event('render_category_name', $category['name'], 'admin_cat_list').'&raquo;'
 //         );
  //    }
    }
    /* regenerate photo list | one category */
    else
    {
 //     $associated_images = smart_make_associations($_GET['smart_generate']);

  //    $page['infos'][] = l10n(
  //      '%d photos associated to album %s',
  //      count($associated_images),
  //      '&laquo;'.trigger_event('render_category_name', $smart_cats[ $_GET['smart_generate'] ]['name'], 'admin_cat_list').'&raquo;'
  //      );
    }

    define('SMART_NOT_UPDATE', 1);
    invalidate_user_cache();
  //}

  // create regenerate link
  $tpl_cat = array();
  foreach ($smart_cats as $cat => $name)
  {
    $tpl_cat[$cat] = $self_url.'&amp;smart_generate='.$cat;
  }
  if (count($smart_cats))
  {
    $tpl_cat['all'] = $self_url.'&amp;smart_generate=all';
  }

  $template->assign(array(
    'FOLDER_CALENDAR_URL' => $tpl_cat,
    'FOLDER_CALENDAR_PATH' => FOLDER_CALENDAR_PATH,
  ));

  $template->set_prefilter('categories', 'CalendarFolder_cat_list_prefilter');
}


function CalendarFolder_cat_list_prefilter($content)
{

}
